﻿using SushiBarDataModels.Models;

namespace SushiBarContracts.BindingModels
{
    public class StoreBindingModel : IStoreModel
    {
        public string StoreName { get; set; } = string.Empty;
        public string StoreAddress { get; set; } = string.Empty;
        public DateTime OpeningDate { get; set; } = DateTime.Now;
        public Dictionary<int, (ISushiModel, int)> Sushis { get; set; } = new();
        public int maxSushi { get; set; }
        public int Id { get; set; }
    }
}
