﻿using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class StoreViewModel : IStoreModel
    {
        public Dictionary<int, (ISushiModel, int)> Sushis { get; init; } = new();
        public int maxSushi { get; set; }
        public int Id { get; init; }

        [DisplayName("Name store")]
        public string StoreName { get; init; } = string.Empty;
        [DisplayName("Address store")]
        public string StoreAddress { get; init; } = string.Empty;
        [DisplayName("Date opening")]
        public DateTime OpeningDate { get; init; } = DateTime.Now;
    }
}
