﻿using SushiBarContracts.BindingModels;
using SushiBarContracts.SearchModels;
using SushiBarContracts.ViewModels;
using SushiBarDataModels.Models;

namespace SushiBarContracts.StoragesContracts
{
    public interface IStoreStorage
    {
        List<StoreViewModel> GetFullList();
        List<StoreViewModel> GetFilteredList(StoreSearchModel model);
        StoreViewModel? GetElement(StoreSearchModel model);
        StoreViewModel? Insert(StoreBindingModel model);
        StoreViewModel? Update(StoreBindingModel model);
        StoreViewModel? Delete(StoreBindingModel model);
        bool SellSushi(ISushiModel model, int quantity);
    }
}
