﻿using System.ComponentModel.DataAnnotations;

namespace SushiBarDatabaseImplement.Models;

public class StoreSushi
{
    public int Id { get; set; }
    [Required]
    public int SushiId { get; set; }
    [Required]
    public int StoreId { get; set; }
    [Required]
    public int Count { get; set; }

    public virtual Store Store { get; set; } = new();
    public virtual Sushi Sushi { get; set; } = new();
}